- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WKS4ParserInternal::State Struct Reference

the state of WKS4Parser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType)
| constructor More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding */ More...

## Public Attributes
long | m_eof
| the last file position More...
libwps::WPSCreator | m_creator
| the application More...
bool | m_isSpreadsheet
| boolean to know if the file is a spreadsheet file or a database file More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
bool | m_hasLICSCharacters
| flag to know if the character More...
std::vector< Font > | m_fontsList
| the fonts list More...
WPSPageSpan | m_pageSpan
| the actual document size More...
int | m_actPage
| the actual page More...
int | m_numPages
std::string | m_headerString
| the header string More...
std::string | m_footerString
| the footer string More...

## Detailed Description

the state of WKS4Parser

## Constructor & Destructor Documentation

WKS4ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType | ) |
| inline explicit

constructor

## Member Function Documentation

bool WKS4ParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

WPSFont WKS4ParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding */

libwps_tools_win::Font::Type WKS4ParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## Member Data Documentation

int WKS4ParserInternal::State::m_actPage

the actual page

libwps::WPSCreator WKS4ParserInternal::State::m_creator

the application

long WKS4ParserInternal::State::m_eof

the last file position

std::vector<Font> WKS4ParserInternal::State::m_fontsList

the fonts list

libwps_tools_win::Font::Type WKS4ParserInternal::State::m_fontType

the user font type

std::string WKS4ParserInternal::State::m_footerString

the footer string

bool WKS4ParserInternal::State::m_hasLICSCharacters

flag to know if the character

std::string WKS4ParserInternal::State::m_headerString

the header string

bool WKS4ParserInternal::State::m_isSpreadsheet

boolean to know if the file is a spreadsheet file or a database file

int WKS4ParserInternal::State::m_numPages

WPSPageSpan WKS4ParserInternal::State::m_pageSpan

the actual document size

int WKS4ParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- WKS4.cpp